@import "~resass/r";

.pop {
  background-color: white;
  color: black;
  padding: 5px 12px;
  border-radius: 8px;

  @include s(0, 1023px) {
    display: none;
  }
}

.sideblock {
  width: 475px;
  display: flex;

  @include s(0, 1023px) {
    display: none;
  }

  .content {
    margin: 25px;
    padding: 25px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex: 1;
    border-radius: 8px;
    box-shadow: rgb(145 158 171 / 24%) 0px 0px 2px 0px,
      rgb(145 158 171 / 24%) 0px 16px 32px -4px;

    h1 {
      text-align: center;
      color: white;
    }
  }
}

.mainzone {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  @include s(1024px, 0) {
    margin-right: 25px;
  }

  @include s(0, 1023px) {
    padding: 25px;
  }

  .login {
    display: flex;
    flex-direction: column;
    gap: 25px;
    min-width: 555px;

    @include s(0, 1023px) {
      min-width: unset;
      width: 100%;
    }

    .headings {
      display: flex;
      flex-direction: row;
      align-items: center;
      color: white;

      img {
        height: 35px;
      }
    }

    .socials {
      display: flex;
      flex-direction: row;
      gap: 25px;

      @include s(0, 1023px) {
        flex-direction: column;

        button {
          flex: unset;
        }
      }
    }
  }

  .divider {
    overflow: hidden;
    text-align: center;
    text-transform: uppercase;
    color: white;

    &::before,
    &::after {
      background-color: white;
      content: "";
      display: inline-block;
      height: 1px;
      position: relative;
      vertical-align: middle;
      width: 50%;
    }

    &::before {
      right: 0.5em;
      margin-left: -50%;
    }

    &::after {
      left: 0.5em;
      margin-right: -50%;
    }
  }

  form {
    display: flex;
    flex-direction: column;
    gap: 25px;

    input {
      height: 45px;
      border-radius: 8px;
      background-color: white;
      padding: 12px;
    }

    .info {
      display: flex;
      flex-direction: row;
      align-items: center;
      color: white;

      .checkbox {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 15px;
        user-select: none;

        input {
          padding: 0;
          height: 25px;
        }
      }

      a {
        color: white;
      }
    }
  }
}
